# Sits Endpoints

#### CONTENTS

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-cover data-type="files"></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Increment Sits Count</strong></td><td><mark style="color:green;"><code>POST</code></mark> <code>v1/sits/increment</code></td><td></td><td></td><td><a href="/pages/MwbSUSWFunGHiPuJcLsQ#increment-sits-count">/pages/MwbSUSWFunGHiPuJcLsQ#increment-sits-count</a></td></tr><tr><td><strong>Decrement Sits Count</strong></td><td><mark style="color:green;"><code>POST</code></mark> <code>v1/sits/decrement</code></td><td></td><td></td><td><a href="/pages/MwbSUSWFunGHiPuJcLsQ#decrement-sits-count">/pages/MwbSUSWFunGHiPuJcLsQ#decrement-sits-count</a></td></tr><tr><td><strong>Get Sits Count</strong></td><td><mark style="color:green;"><code>GET</code></mark> <code>v1/sits/count</code></td><td></td><td></td><td><a href="/pages/MwbSUSWFunGHiPuJcLsQ#get-sits-count">/pages/MwbSUSWFunGHiPuJcLsQ#get-sits-count</a></td></tr><tr><td><strong>Reset Sits Count</strong></td><td><mark style="color:green;"><code>POST</code></mark> <code>v1/sits/reset</code></td><td></td><td></td><td></td></tr><tr><td><strong>Suggesting Endpoints</strong></td><td>We <span data-gb-custom-inline data-tag="emoji" data-code="2764">❤️</span> developers, so dont be afraid to suggest new endpoints.</td><td></td><td></td><td><a href="/pages/MwbSUSWFunGHiPuJcLsQ#suggest-an-additional-endpoint">/pages/MwbSUSWFunGHiPuJcLsQ#suggest-an-additional-endpoint</a></td></tr></tbody></table>

***

## Increment Sits Count

<mark style="color:green;">`POST`</mark> `api.elyxir.dev/v1/sits/increment`

Increases the number of sits of a specified user by one.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

| Name      | Type   | Description                    |
| --------- | ------ | ------------------------------ |
| `user_id` | string | Discord ID of the staff member |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "user_id": "501777482282958850",
  "sits": 12
}
```

{% endtab %}

{% tab title="400" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong>  "error": "Invalid request"
}
</code></pre>

{% endtab %}
{% endtabs %}

## Decrement Sits Count

<mark style="color:green;">`POST`</mark> `api.elyxir.dev/v1/sits/decrement`

Decreases the number of sits of a specified user by one.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

| Name      | Type   | Description                    |
| --------- | ------ | ------------------------------ |
| `user_id` | string | Discord ID of the staff member |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "user_id": "501777482282958850",
  "sits": 12
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

## Get Sits Count

<mark style="color:green;">`GET`</mark> `api.elyxir.dev/v1/sits/count`

Gets the number of sits held by a specified user

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

| Name      | Type   | Description                    |
| --------- | ------ | ------------------------------ |
| `user_id` | string | Discord ID of the staff member |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "user_id": "501777482282958850",
  "sits": 12
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

## Reset Sits Count

<mark style="color:green;">`POST`</mark> `api.elyxir.dev/v1/sits/reset`

Resets the number of sits for a specified user

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

| Name      | Type   | Description                    |
| --------- | ------ | ------------------------------ |
| `user_id` | string | Discord ID of the staff member |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "user_id": "501777482282958850",
  "sits": 0
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

## Suggest an additional endpoint

At Elyxir we :heart: developers. That's why we're open to hearing any suggestions for extending our API for use within your FiveM scripts and/or applications.

[Contact us within our Discord server to suggest endpoints.](https://discord.gg/elyxir)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elyxir.dev/api/sits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
